// ServerSock.h
// Blackhole Proxy server
#pragma once

extern BOOL g_bPac;	// TRUE if running a PAC server.
extern BOOL g_bServer; // TRUE if accepting connections from other PCs; FALSE if accepting connection s from only localhost.
extern LPBYTE g_pOptionalGraphics; // buffer to store the optional default graphics

BOOL SetGraphicsBuffer(LPCTSTR szGraphicsFile);
void SetHttpHeaderGraphics(LPCTSTR szGraphicsFile);

void InitLocalHostAddress();

BOOL InitServerSock(int, int);
void UninitServerSock();

#define DEFAULT_PORT 3421
#define DEFAULT_PAC_PORT 3421
