// BlackHoleProxy.h
#pragma once

#include "Initialize.h"

extern BOOL g_bDebugOutput;

extern LPCSTR APP_NAME;

BOOL Initialize(const INIT_ARGS&);
void Uninitialize();

// Debug log function
void DebugOutput(LPCTSTR);

int ReverseFind(LPCTSTR lpStr, TCHAR c);

// Returns the file extension
LPCTSTR GetFileExtension(LPCTSTR szFile);

typedef enum _tErrorLevel
{
	ERROR_LEVEL_INFO,
	ERROR_LEVEL_WARNING,
	ERROR_LEVEL_ERROR,
} ERROR_LEVEL;

// This is set up to support NT event logging in the future.
void DisplayMessage(LPCTSTR szMessage=NULL, DWORD dwError=-1, ERROR_LEVEL errorLevel=ERROR_LEVEL_ERROR);

