// BlackHoleProxyConfigDlg.h : header file
//

#if !defined(AFX_BLACKHOLEPROXYCONFIGDLG_H__8A588764_F459_41DB_B617_6B05B2432DF9__INCLUDED_)
#define AFX_BLACKHOLEPROXYCONFIGDLG_H__8A588764_F459_41DB_B617_6B05B2432DF9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BlackHoleProxyConfigDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CBlackHoleProxyConfigDlg dialog

class CBlackHoleProxyConfigDlg : public CDialog
{
// Construction
public:
	CBlackHoleProxyConfigDlg(CWnd* pParent = NULL);	// standard constructor

	void AutoLaunch();

// Dialog Data
	//{{AFX_DATA(CBlackHoleProxyConfigDlg)
	enum { IDD = IDD_BLACKHOLEPROXYCONFIG_DIALOG };
	CString	m_strGraphicsFile;
	BOOL	m_bPac;
	BOOL	m_bServer;
	//}}AFX_DATA
	UINT m_nPort;
	UINT m_nPacPort;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBlackHoleProxyConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBlackHoleProxyConfigDoc m_doc;

	void RestoreSettings();
	void SaveSettings();
	HICON m_hIcon;

	void StartProxy(BOOL bSilent=FALSE);
	void StopProxy();

	// Generated message map functions
	//{{AFX_MSG(CBlackHoleProxyConfigDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPac();
	afx_msg void OnBrowse();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BLACKHOLEPROXYCONFIGDLG_H__8A588764_F459_41DB_B617_6B05B2432DF9__INCLUDED_)
