// BlackHoleProxyConfigDoc.cpp : implementation file
//

#include "stdafx.h"
#include "BlackHoleProxyConfig.h"
#include "BlackHoleProxyConfigDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlackHoleProxyConfigDoc

IMPLEMENT_DYNCREATE(CBlackHoleProxyConfigDoc, CDocument)

CBlackHoleProxyConfigDoc::CBlackHoleProxyConfigDoc() :
m_bPac(FALSE), m_nPacPort(3421), m_nPort(3421), m_bServer(FALSE)
{
}

BOOL CBlackHoleProxyConfigDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CBlackHoleProxyConfigDoc::~CBlackHoleProxyConfigDoc()
{
}


BEGIN_MESSAGE_MAP(CBlackHoleProxyConfigDoc, CDocument)
	//{{AFX_MSG_MAP(CBlackHoleProxyConfigDoc)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBlackHoleProxyConfigDoc diagnostics

#ifdef _DEBUG
void CBlackHoleProxyConfigDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CBlackHoleProxyConfigDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CBlackHoleProxyConfigDoc serialization

void CBlackHoleProxyConfigDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		ar << m_nPort;
		ar << m_bServer;
		ar << m_bPac;
		if (m_bPac)
		{
			ar << m_nPacPort;
		}
		ar << m_strGraphicsFile;
	}
	else
	{
		ar >> m_nPort;
		ar >> m_bServer;
		ar >> m_bPac;
		if (m_bPac)
		{
			ar >> m_nPacPort;
		}
		ar >> m_strGraphicsFile;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CBlackHoleProxyConfigDoc commands
